Ext.data.JsonP.Autolinker_htmlParser_ElementNode({"tagname":"class","name":"Autolinker.htmlParser.ElementNode","autodetected":{},"files":[{"filename":"ElementNode.js","href":"ElementNode.html#Autolinker-htmlParser-ElementNode"}],"extends":"Autolinker.htmlParser.HtmlNode","members":[{"name":"closing","tagname":"cfg","owner":"Autolinker.htmlParser.ElementNode","id":"cfg-closing","meta":{"required":true}},{"name":"tagName","tagname":"cfg","owner":"Autolinker.htmlParser.ElementNode","id":"cfg-tagName","meta":{"required":true}},{"name":"text","tagname":"cfg","owner":"Autolinker.htmlParser.HtmlNode","id":"cfg-text","meta":{"required":true}},{"name":"constructor","tagname":"method","owner":"Autolinker.htmlParser.HtmlNode","id":"method-constructor","meta":{}},{"name":"getTagName","tagname":"method","owner":"Autolinker.htmlParser.ElementNode","id":"method-getTagName","meta":{}},{"name":"getText","tagname":"method","owner":"Autolinker.htmlParser.HtmlNode","id":"method-getText","meta":{}},{"name":"getType","tagname":"method","owner":"Autolinker.htmlParser.ElementNode","id":"method-getType","meta":{}},{"name":"isClosing","tagname":"method","owner":"Autolinker.htmlParser.ElementNode","id":"method-isClosing","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-Autolinker.htmlParser.ElementNode","short_doc":"Represents an HTML element node that has been parsed by the Autolinker.htmlParser.HtmlParser. ...","component":false,"superclasses":["Autolinker.htmlParser.HtmlNode"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Autolinker.htmlParser.HtmlNode' rel='Autolinker.htmlParser.HtmlNode' class='docClass'>Autolinker.htmlParser.HtmlNode</a><div class='subclass '><strong>Autolinker.htmlParser.ElementNode</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode' target='_blank'>ElementNode.js</a></div></pre><div class='doc-contents'><p>Represents an HTML element node that has been parsed by the <a href=\"#!/api/Autolinker.htmlParser.HtmlParser\" rel=\"Autolinker.htmlParser.HtmlParser\" class=\"docClass\">Autolinker.htmlParser.HtmlParser</a>.</p>\n\n<p>See this class's superclass (<a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a>) for more\ndetails.</p>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Required config options</h3><div id='cfg-closing' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.ElementNode'>Autolinker.htmlParser.ElementNode</span><br/><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode-cfg-closing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.ElementNode-cfg-closing' class='name expandable'>closing</a> : Boolean<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'>true if the element (tag) is a closing tag, false if its an opening\ntag. ...</div><div class='long'><p><code>true</code> if the element (tag) is a closing tag, <code>false</code> if its an opening\ntag.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-tagName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.ElementNode'>Autolinker.htmlParser.ElementNode</span><br/><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode-cfg-tagName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.ElementNode-cfg-tagName' class='name expandable'>tagName</a> : String<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'>The name of the tag that was matched. ...</div><div class='long'><p>The name of the tag that was matched.</p>\n<p>Defaults to: <code>&#39;&#39;</code></p></div></div></div><div id='cfg-text' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Autolinker.htmlParser.HtmlNode' rel='Autolinker.htmlParser.HtmlNode' class='defined-in docClass'>Autolinker.htmlParser.HtmlNode</a><br/><a href='source/HtmlNode.html#Autolinker-htmlParser-HtmlNode-cfg-text' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlNode-cfg-text' class='name expandable'>text</a> : String<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'>The original text that was matched for the HtmlNode. ...</div><div class='long'><p>The original text that was matched for the HtmlNode.</p>\n\n<ul>\n<li>In the case of an <a href=\"#!/api/Autolinker.htmlParser.ElementNode\" rel=\"Autolinker.htmlParser.ElementNode\" class=\"docClass\">ElementNode</a>,\nthis will be the tag's text.</li>\n<li>In the case of an <a href=\"#!/api/Autolinker.htmlParser.CommentNode\" rel=\"Autolinker.htmlParser.CommentNode\" class=\"docClass\">CommentNode</a>,\nthis will be the comment's text.</li>\n<li>In the case of a <a href=\"#!/api/Autolinker.htmlParser.TextNode\" rel=\"Autolinker.htmlParser.TextNode\" class=\"docClass\">TextNode</a>, this\nwill be the text itself.</li>\n<li>In the case of a <a href=\"#!/api/Autolinker.htmlParser.EntityNode\" rel=\"Autolinker.htmlParser.EntityNode\" class=\"docClass\">EntityNode</a>,\nthis will be the text of the HTML entity.</li>\n</ul>\n\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Autolinker.htmlParser.HtmlNode' rel='Autolinker.htmlParser.HtmlNode' class='defined-in docClass'>Autolinker.htmlParser.HtmlNode</a><br/><a href='source/HtmlNode.html#Autolinker-htmlParser-HtmlNode-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Autolinker.htmlParser.HtmlNode-method-constructor' class='name expandable'>Autolinker.htmlParser.ElementNode</a>( <span class='pre'>cfg</span> ) : <a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a><span class=\"signature\"></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cfg</span> : Object<div class='sub-desc'><p>The configuration properties for the Match instance,\nspecified in an Object (map).</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTagName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.ElementNode'>Autolinker.htmlParser.ElementNode</span><br/><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode-method-getTagName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.ElementNode-method-getTagName' class='name expandable'>getTagName</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the HTML element's (tag's) name. ...</div><div class='long'><p>Returns the HTML element's (tag's) name. Ex: for an &lt;img&gt; tag,\nreturns \"img\".</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getText' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Autolinker.htmlParser.HtmlNode' rel='Autolinker.htmlParser.HtmlNode' class='defined-in docClass'>Autolinker.htmlParser.HtmlNode</a><br/><a href='source/HtmlNode.html#Autolinker-htmlParser-HtmlNode-method-getText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlNode-method-getText' class='name expandable'>getText</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the text for the HtmlNode. ...</div><div class='long'><p>Retrieves the <a href=\"#!/api/Autolinker.htmlParser.HtmlNode-cfg-text\" rel=\"Autolinker.htmlParser.HtmlNode-cfg-text\" class=\"docClass\">text</a> for the HtmlNode.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.ElementNode'>Autolinker.htmlParser.ElementNode</span><br/><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode-method-getType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.ElementNode-method-getType' class='name expandable'>getType</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns a string name for the type of node that this class represents. ...</div><div class='long'><p>Returns a string name for the type of node that this class represents.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Autolinker.htmlParser.HtmlNode-method-getType\" rel=\"Autolinker.htmlParser.HtmlNode-method-getType\" class=\"docClass\">Autolinker.htmlParser.HtmlNode.getType</a></p></div></div></div><div id='method-isClosing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.ElementNode'>Autolinker.htmlParser.ElementNode</span><br/><a href='source/ElementNode.html#Autolinker-htmlParser-ElementNode-method-isClosing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.ElementNode-method-isClosing' class='name expandable'>isClosing</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Determines if the HTML element (tag) is a closing tag. ...</div><div class='long'><p>Determines if the HTML element (tag) is a closing tag. Ex: &lt;div&gt;\nreturns <code>false</code>, while &lt;/div&gt; returns <code>true</code>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});