Ext.data.JsonP.Autolinker_htmlParser_HtmlParser({"tagname":"class","name":"Autolinker.htmlParser.HtmlParser","autodetected":{},"files":[{"filename":"HtmlParser.js","href":"HtmlParser.html#Autolinker-htmlParser-HtmlParser"}],"private":true,"extends":null,"members":[{"name":"htmlCharacterEntitiesRegex","tagname":"property","owner":"Autolinker.htmlParser.HtmlParser","id":"property-htmlCharacterEntitiesRegex","meta":{"private":true}},{"name":"htmlRegex","tagname":"property","owner":"Autolinker.htmlParser.HtmlParser","id":"property-htmlRegex","meta":{"private":true}},{"name":"createCommentNode","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-createCommentNode","meta":{"private":true}},{"name":"createElementNode","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-createElementNode","meta":{"private":true}},{"name":"createEntityNode","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-createEntityNode","meta":{"private":true}},{"name":"createTextNode","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-createTextNode","meta":{"private":true}},{"name":"parse","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-parse","meta":{}},{"name":"parseTextAndEntityNodes","tagname":"method","owner":"Autolinker.htmlParser.HtmlParser","id":"method-parseTextAndEntityNodes","meta":{"private":true}}],"alternateClassNames":[],"aliases":{},"id":"class-Autolinker.htmlParser.HtmlParser","short_doc":"An HTML parser implementation which simply walks an HTML string and returns an array of\nHtmlNodes that represent the ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser' target='_blank'>HtmlParser.js</a></div></pre><div class='doc-contents'><div class='rounded-box private-box'><p><strong>NOTE:</strong> This is a private utility class for internal use by the framework. Don't rely on its existence.</p></div><p>An HTML parser implementation which simply walks an HTML string and returns an array of\n<a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">HtmlNodes</a> that represent the basic HTML structure of the input string.</p>\n\n<p>Autolinker uses this to only link URLs/emails/Twitter handles within text nodes, effectively ignoring / \"walking\naround\" HTML tags.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-htmlCharacterEntitiesRegex' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-property-htmlCharacterEntitiesRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-property-htmlCharacterEntitiesRegex' class='name expandable'>htmlCharacterEntitiesRegex</a> : RegExp<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The regular expression that matches common HTML character entities. ...</div><div class='long'><p>The regular expression that matches common HTML character entities.</p>\n\n<p>Ignoring &amp; as it could be part of a query string -- handling it separately.</p>\n<p>Defaults to: <code>/(&amp;nbsp;|&amp;#160;|&amp;lt;|&amp;#60;|&amp;gt;|&amp;#62;|&amp;quot;|&amp;#34;|&amp;#39;)/gi</code></p></div></div></div><div id='property-htmlRegex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-property-htmlRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-property-htmlRegex' class='name expandable'>htmlRegex</a> : RegExp<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The regular expression used to pull out HTML tags from a string. ...</div><div class='long'><p>The regular expression used to pull out HTML tags from a string. Handles namespaced HTML tags and\nattribute names, as specified by http://www.w3.org/TR/html-markup/syntax.html.</p>\n\n<p>Capturing groups:</p>\n\n<ol>\n<li>The \"!DOCTYPE\" tag name, if a tag is a &lt;!DOCTYPE&gt; tag.</li>\n<li>If it is an end tag, this group will have the '/'.</li>\n<li>If it is a comment tag, this group will hold the comment text (i.e.\nthe text inside the <code>&amp;lt;!--</code> and <code>--&amp;gt;</code>.</li>\n<li>The tag name for all tags (other than the &lt;!DOCTYPE&gt; tag)</li>\n</ol>\n\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-createCommentNode' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-createCommentNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-createCommentNode' class='name expandable'>createCommentNode</a>( <span class='pre'>tagText, comment</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Factory method to create an CommentNode. ...</div><div class='long'><p>Factory method to create an <a href=\"#!/api/Autolinker.htmlParser.CommentNode\" rel=\"Autolinker.htmlParser.CommentNode\" class=\"docClass\">CommentNode</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tagText</span> : String<div class='sub-desc'><p>The full text of the tag (comment) that was\n  matched, including its &lt;!-- and --&gt;.</p>\n</div></li><li><span class='pre'>comment</span> : String<div class='sub-desc'><p>The full text of the comment that was matched.</p>\n</div></li></ul></div></div></div><div id='method-createElementNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-createElementNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-createElementNode' class='name expandable'>createElementNode</a>( <span class='pre'>tagText, tagName, isClosingTag</span> ) : <a href=\"#!/api/Autolinker.htmlParser.ElementNode\" rel=\"Autolinker.htmlParser.ElementNode\" class=\"docClass\">Autolinker.htmlParser.ElementNode</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Factory method to create an ElementNode. ...</div><div class='long'><p>Factory method to create an <a href=\"#!/api/Autolinker.htmlParser.ElementNode\" rel=\"Autolinker.htmlParser.ElementNode\" class=\"docClass\">ElementNode</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tagText</span> : String<div class='sub-desc'><p>The full text of the tag (element) that was\n  matched, including its attributes.</p>\n</div></li><li><span class='pre'>tagName</span> : String<div class='sub-desc'><p>The name of the tag. Ex: An &lt;img&gt; tag would\n  be passed to this method as \"img\".</p>\n</div></li><li><span class='pre'>isClosingTag</span> : Boolean<div class='sub-desc'><p><code>true</code> if it's a closing tag, false\n  otherwise.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.ElementNode\" rel=\"Autolinker.htmlParser.ElementNode\" class=\"docClass\">Autolinker.htmlParser.ElementNode</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-createEntityNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-createEntityNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-createEntityNode' class='name expandable'>createEntityNode</a>( <span class='pre'>text</span> ) : <a href=\"#!/api/Autolinker.htmlParser.EntityNode\" rel=\"Autolinker.htmlParser.EntityNode\" class=\"docClass\">Autolinker.htmlParser.EntityNode</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Factory method to create a EntityNode. ...</div><div class='long'><p>Factory method to create a <a href=\"#!/api/Autolinker.htmlParser.EntityNode\" rel=\"Autolinker.htmlParser.EntityNode\" class=\"docClass\">EntityNode</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that was matched for the HTML entity (such\n  as '&amp;nbsp;').</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.EntityNode\" rel=\"Autolinker.htmlParser.EntityNode\" class=\"docClass\">Autolinker.htmlParser.EntityNode</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-createTextNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-createTextNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-createTextNode' class='name expandable'>createTextNode</a>( <span class='pre'>text</span> ) : <a href=\"#!/api/Autolinker.htmlParser.TextNode\" rel=\"Autolinker.htmlParser.TextNode\" class=\"docClass\">Autolinker.htmlParser.TextNode</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Factory method to create a TextNode. ...</div><div class='long'><p>Factory method to create a <a href=\"#!/api/Autolinker.htmlParser.TextNode\" rel=\"Autolinker.htmlParser.TextNode\" class=\"docClass\">TextNode</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that was matched.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.TextNode\" rel=\"Autolinker.htmlParser.TextNode\" class=\"docClass\">Autolinker.htmlParser.TextNode</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-parse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-parse' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-parse' class='name expandable'>parse</a>( <span class='pre'>html</span> ) : <a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Parses an HTML string and returns a simple array of HtmlNodes\nto represent the HTML structure of the input string. ...</div><div class='long'><p>Parses an HTML string and returns a simple array of <a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">HtmlNodes</a>\nto represent the HTML structure of the input string.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : String<div class='sub-desc'><p>The HTML to parse.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-parseTextAndEntityNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Autolinker.htmlParser.HtmlParser'>Autolinker.htmlParser.HtmlParser</span><br/><a href='source/HtmlParser.html#Autolinker-htmlParser-HtmlParser-method-parseTextAndEntityNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Autolinker.htmlParser.HtmlParser-method-parseTextAndEntityNodes' class='name expandable'>parseTextAndEntityNodes</a>( <span class='pre'>text</span> ) : <a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a>[]<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Parses text and HTML entity nodes from a given string. ...</div><div class='long'><p>Parses text and HTML entity nodes from a given string. The input string\nshould not have any HTML tags (elements) within it.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text to parse.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Autolinker.htmlParser.HtmlNode\" rel=\"Autolinker.htmlParser.HtmlNode\" class=\"docClass\">Autolinker.htmlParser.HtmlNode</a>[]</span><div class='sub-desc'><p>An array of HtmlNodes to\n  represent the <a href=\"#!/api/Autolinker.htmlParser.TextNode\" rel=\"Autolinker.htmlParser.TextNode\" class=\"docClass\">TextNodes</a> and\n  <a href=\"#!/api/Autolinker.htmlParser.EntityNode\" rel=\"Autolinker.htmlParser.EntityNode\" class=\"docClass\">EntityNodes</a> found.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"private":true}});